# Uses of Class
javax.help.FavoritesNode

Packages that use FavoritesNode
Package
Description
javax.help
Supports presentation of online documentation with both content and contextual views of this information.
javax.help.plaf.basic

## Uses of FavoritesNode in javax.help

Methods in javax.help that return FavoritesNode
Modifier and Type
Method
Description
`FavoritesNode`
FavoritesView.`getDataAsTree()`
Gets a DefaultMutableTreeNode representing the information in this view instance.
`FavoritesNode`
FavoritesNode.`getDeepCopy()`
Returns the deep copy of node
`FavoritesNode`
FavoritesView.`parse(HelpSet hs, Locale locale, TreeItemFactory factory)`
Public method for parsing the Favorites in a URL.
Methods in javax.help with parameters of type FavoritesNode
Modifier and Type
Method
Description
`void`
FavoritesView.`saveFavorites(FavoritesNode node)`
Saves favorites file

## Uses of FavoritesNode in javax.help.plaf.basic

Fields in javax.help.plaf.basic declared as FavoritesNode
Modifier and Type
Field
Description
`protected FavoritesNode`
BasicFavoritesNavigatorUI.`topNode`
Methods in javax.help.plaf.basic that return FavoritesNode
Modifier and Type
Method
Description
`FavoritesNode`
BasicFavoritesNavigatorUI.`getSelectedNode()`
Returns the selected node
Constructors in javax.help.plaf.basic with parameters of type FavoritesNode
Modifier
Constructor
Description
``
`FavoritesTree(FavoritesNode root)`
Creates FavoritesTree